subset sum problem dynamic programming | backtracking sum of subsets

  Рет қаралды 92,023

Techdose

Techdose

5 жыл бұрын

This is a video lecture which explains subset sum problem solving using both backtracking and dynamic programming methods. This explanation is a little long but once you watch it, you won't ever regret about having watched such a long video. Backtracking takes exponential time to solve the subset sum problem therefore, we solve using it dynamic programming. I am sure you will love the explanation :)
CODE LINK: drive.google.com/open?id=1qs4...
If you find any difficulty or have any query then do COMMENT below. PLEASE help our channel by SUBSCRIBING and LIKE our video if you found it helpful...CYA :)

Пікірлер: 212
@aniketdubey7363
@aniketdubey7363 3 жыл бұрын
the best of the explaination i had seen so far
@VS-cy8oy
@VS-cy8oy 4 жыл бұрын
Thank you very much for this explanation, i went over many videos over youtube but didn't get any intuition for this problem, but the way you distinguished both approaches made me understand this problem very well.
@techdose4u
@techdose4u 4 жыл бұрын
Welcome :)
@himalayagupta7744
@himalayagupta7744 4 жыл бұрын
explained clearly , leaves no doubt in my mind , thank you sir.
@techdose4u
@techdose4u 4 жыл бұрын
Welcome :)
@alessandrocamillo4939
@alessandrocamillo4939 3 жыл бұрын
I really love this video. It explain the problem and gives two solutions. With the first solution it builds the required intuition to understand that the problem show a dynamic programming pattern and use it to build up a bottom-up solution. Thank you very much
@techdose4u
@techdose4u 3 жыл бұрын
Welcome :)
@mayankchauhan6680
@mayankchauhan6680 3 жыл бұрын
Thanks alot Algo Buddy. Words are not enough to praise you but you are the best teacher, its like a magic that you teach even hardest of hard concept as if it was always easy. You are going to rock algo learning world someday for sure.
@techdose4u
@techdose4u 3 жыл бұрын
Thanks for your motivation bro :)
@parthshah6343
@parthshah6343 4 жыл бұрын
One of the best explanations of subset sum problem!
@akhilkhubchandani2632
@akhilkhubchandani2632 4 жыл бұрын
The best explanation!. Made this problem seem so easy . Thanks a lot !
@techdose4u
@techdose4u 4 жыл бұрын
Welcome :)
@Nickel80
@Nickel80 3 жыл бұрын
Gave an applaud to this video and another video of yours. Keep up the good work :)
@techdose4u
@techdose4u 3 жыл бұрын
Thanks for supporting us ❤️
@abhimanyupagade4289
@abhimanyupagade4289 3 жыл бұрын
Literally you are gem Thanks for your quality teaching keep it up
@dancojocaru7217
@dancojocaru7217 2 жыл бұрын
Very good and clear explanation! Thank you!
@jhilikkundu3158
@jhilikkundu3158 3 жыл бұрын
At first I want to thank you. I was trying to understand how the matrix is fullfilling the XOR logic. When I was trying to dry run the code I found, it was not being match with the logic. I have searched and seen a lot of subset sum problem video, even repeat the knapsack video also. Then suddenly at this time of night I find a channel with less subs and even lesser view. I started with very less expectation but sir forgive me for my previous thoughts. I finally understood what is happening and I found by myself that I have a error in my code. When I am able to find the error, I understood the logic. I feel relaxed. I will share this channel, and will watch more dp video if u have.
@techdose4u
@techdose4u 3 жыл бұрын
Thanks :)
@namisha6883
@namisha6883 3 жыл бұрын
Amazing content. Clearly visible that you are putting a lot of hard work.
@techdose4u
@techdose4u 3 жыл бұрын
Thanks
@taivinh1986
@taivinh1986 3 жыл бұрын
I love this channel, thanks for it, i see i have ameliorated a lot, i will always support it
@techdose4u
@techdose4u 3 жыл бұрын
Thanks 😊
@anandakrishnan2685
@anandakrishnan2685 2 жыл бұрын
Really good video. I want to point out something @tech_dose that in your code the order of initializing the array with true and false should be swapped(the first row and first column) since if we initialize the column first it will get overwritten.
@iampatelajeet
@iampatelajeet 2 жыл бұрын
Amazing explanation bro, can't go without liking.
@aayush5474
@aayush5474 4 жыл бұрын
bro your explanation is the best! Other videos on youtube don't explain how the table is forming and the sub problems but you explain that.Thanks a lot!
@techdose4u
@techdose4u 4 жыл бұрын
Welcome :)
@aayush5474
@aayush5474 4 жыл бұрын
@@techdose4u bro can you make a video on subset sum divisible by m problem? It's a variant of this problem but harder and i can't understand the approach
@Stuff395
@Stuff395 Жыл бұрын
Great job, explaining this! 🎉
@debanjanghosh5698
@debanjanghosh5698 4 жыл бұрын
I was looking for such videos. Really helpful 👌👍
@techdose4u
@techdose4u 4 жыл бұрын
Thanks :)
@CodeSuccessChronicle
@CodeSuccessChronicle 3 жыл бұрын
If anyone wants to know how backtracking actually works this is the recommended video. Bro the way you did backtrack till last possibility is amazing. Thank you so much 🙏🏻🥰
@techdose4u
@techdose4u 3 жыл бұрын
Welcome :)
@dineshothamkumar
@dineshothamkumar Жыл бұрын
Same feel. I understood backtracking properly with this video. I didn't know that I was doing backtracking when I was coding that method in the first place 😆
@AkashKumar-ym4gu
@AkashKumar-ym4gu 3 жыл бұрын
This Channel Needs To Be Popular.. Absolutely Great Stuff.. ❤❤
@techdose4u
@techdose4u 3 жыл бұрын
Thanks :)
@sandeepnallala48
@sandeepnallala48 3 жыл бұрын
one day sir you will become the biggest competitor for many other ppl teaching DSA sir. thanks a lot sir ..... : )
@ShivamSingh-me1nb
@ShivamSingh-me1nb 3 жыл бұрын
Great explanation, i have never seen anyone explain that much in you tube
@techdose4u
@techdose4u 3 жыл бұрын
Thanks
@ganeshkamath89
@ganeshkamath89 2 жыл бұрын
At first I thought why this is needed because I can iterate all elements in a nested for loop to find the sum. Then I changed {2, 2, 3} and sum {7} instead of 5, by running the attached code. Then it made lot of sense. Instead of needing to iterate with 3 iterator variables over all elements, this method shows a simple technique to get the subset. Now I am convinced. Thanks a lot. Are you converting a n dimensional problem to a 2 dimentional problem with Knapsack?
@arunimadas3183
@arunimadas3183 3 жыл бұрын
Thanks a lot for this.❤️. I finally understood it 😭❤️ . Keep up the good work. :')
@techdose4u
@techdose4u 3 жыл бұрын
Welcome 😊
@ritiksolanki6267
@ritiksolanki6267 3 жыл бұрын
Rona kya isme🙄😂😂
@spetsnaz_2
@spetsnaz_2 3 жыл бұрын
@@ritiksolanki6267 khushi k aansu
@maverickchinmaydas
@maverickchinmaydas 4 жыл бұрын
@TECH DOSE - Nice video , well explained and I cleared doubt on how to track down the nodes but can you please tell me if I want to see what all subset elements are added to get the sum then how to track back from last node that is 3*5 = T
@tarungopal3065
@tarungopal3065 4 жыл бұрын
Superb and clear Explanation..You are very great at making these videos for free...
@techdose4u
@techdose4u 4 жыл бұрын
Thanks
@amarnaath5673
@amarnaath5673 4 жыл бұрын
IF YOU START AN ONLINE COURSE I LL BE THE FIRST ONE TO REGISTER
@techdose4u
@techdose4u 4 жыл бұрын
Thanks bro:)
@ashishkulkarni7674
@ashishkulkarni7674 2 жыл бұрын
Hi sir, you teach everything very cleanly...please keep teaching us😊
@techdose4u
@techdose4u 2 жыл бұрын
For sure ❤️
@adityaojha2701
@adityaojha2701 3 жыл бұрын
Thanks a lot sir. Now I clearly understood.
@techdose4u
@techdose4u 3 жыл бұрын
Welcome :)
@jatinthakwani5370
@jatinthakwani5370 4 жыл бұрын
God bless you! I was looking for this type of explanation. Please start some online course on which you will cover these topics in-depth.
@techdose4u
@techdose4u 4 жыл бұрын
Yep. I will do it at some point of time.
@aditisharma2552
@aditisharma2552 3 жыл бұрын
Very well explained! You definitely need more likes..
@techdose4u
@techdose4u 3 жыл бұрын
Thanks for liking ❤️
@dhruvgoel25
@dhruvgoel25 4 жыл бұрын
Very well explained 👍 thank you sir..keep making such videos
@techdose4u
@techdose4u 4 жыл бұрын
Welcome :)
@dayanandraut5660
@dayanandraut5660 3 жыл бұрын
understanding recursive intuition is easy, and writing that into dp was tough for me. but now if i can come up with recursive soln, i can easily write that into dp. Thanks to @Tech Dose
@vdengineering2666
@vdengineering2666 Жыл бұрын
super super super amazing thx!!
@neghatnazir1668
@neghatnazir1668 3 жыл бұрын
thanks a lot, i understood the concept behind filling this table ,one syggestion it could b better explained using recurssion tree that includes sub problems.
@techdose4u
@techdose4u 3 жыл бұрын
Okay sure
@Mandeepsingh-jo5cf
@Mandeepsingh-jo5cf 3 жыл бұрын
Thanks for this magical explanation.
@techdose4u
@techdose4u 3 жыл бұрын
Welcome :)
@chaunguyen8202
@chaunguyen8202 2 жыл бұрын
Great video! :) Liked and subscribed!
@techdose4u
@techdose4u 2 жыл бұрын
Thanks 😊
@ravikiranbaisani2145
@ravikiranbaisani2145 3 жыл бұрын
Appreciate such a clean explanation
@techdose4u
@techdose4u 3 жыл бұрын
Thanks
@letsdoeverythinginoneweek9398
@letsdoeverythinginoneweek9398 3 жыл бұрын
clean and crisp please make a video on time complexity ?how to find it ur explanations are great
@christopherbeatty8836
@christopherbeatty8836 3 жыл бұрын
Great video, thank you!
@techdose4u
@techdose4u 3 жыл бұрын
Welcome
@sugatasaha4423
@sugatasaha4423 4 жыл бұрын
great explanation... Thank you, sir.
@techdose4u
@techdose4u 4 жыл бұрын
Welcome :)
@tonyriddle7646
@tonyriddle7646 3 жыл бұрын
most underated channel
@techdose4u
@techdose4u 3 жыл бұрын
😅
@soumeshnayak4546
@soumeshnayak4546 2 жыл бұрын
really best lecture perfect!!..
@techdose4u
@techdose4u 2 жыл бұрын
Thanks 😊
@niklas9562
@niklas9562 4 жыл бұрын
Very nice explanation in "Abob" (above) Video !
@techdose4u
@techdose4u 4 жыл бұрын
:)
@mirakabra2334
@mirakabra2334 4 жыл бұрын
Very nicely explained!
@techdose4u
@techdose4u 4 жыл бұрын
Thanks :)
@abhishekkumargupta3043
@abhishekkumargupta3043 4 жыл бұрын
This is some nice stuff explained superbly!
@techdose4u
@techdose4u 4 жыл бұрын
Thanks
@snehabaser3155
@snehabaser3155 3 жыл бұрын
Next level Explanation ✨
@techdose4u
@techdose4u 3 жыл бұрын
Thanks :)
@chrisogonas
@chrisogonas 3 жыл бұрын
Well illustrated. Thanks
@techdose4u
@techdose4u 3 жыл бұрын
Welcome :)
@warrenbuffet2511
@warrenbuffet2511 3 жыл бұрын
You're a BOSSSS!
@richardzhu2678
@richardzhu2678 2 жыл бұрын
Thank you so much
@aakashsaini351
@aakashsaini351 4 жыл бұрын
crystal clear explanation...
@techdose4u
@techdose4u 4 жыл бұрын
Thanks :)
@BaljeetSingh-bx8yj
@BaljeetSingh-bx8yj 3 жыл бұрын
Great explanation!!
@techdose4u
@techdose4u 3 жыл бұрын
Thanks bhai :)
@vinothrajg8576
@vinothrajg8576 3 жыл бұрын
Great ☺️ Thanks for the video
@techdose4u
@techdose4u 3 жыл бұрын
Welcome :)
@ameynaik2743
@ameynaik2743 3 жыл бұрын
Great video! The space complexity for dp is O(sum*size(set)) for your method which is bottom-up. But I guess we can perform dp top bottom approach, the Space complexity can be reduced to O(sum+1). Is that correct?
@techdose4u
@techdose4u 3 жыл бұрын
You can just maintain a row to do that
@gauri360
@gauri360 2 жыл бұрын
Very well explained
@techdose4u
@techdose4u 2 жыл бұрын
Thanks
@anubhavsaha6225
@anubhavsaha6225 4 жыл бұрын
Sir any way to print the subsets using dynamic programming?..
@namanvijay3514
@namanvijay3514 3 жыл бұрын
crystal clear sir, 🙌🙌👏
@techdose4u
@techdose4u 3 жыл бұрын
Thanks :)
@nallasivakrishna5693
@nallasivakrishna5693 4 жыл бұрын
what are the changes made in the code from naive approach I did not get you.. and Sir please explain how to print in backtracking approach I am unable to get it.
@niksgupta36
@niksgupta36 2 жыл бұрын
Would have been great if you explained memoization method before DP method. Good content btw! Thanks!
@techdose4u
@techdose4u 2 жыл бұрын
👍🏼
@akshayagrawal2222
@akshayagrawal2222 2 жыл бұрын
Nice explaination but how can you implement tabulation solution directly from the recursive solution best way to learn dp is -> 1. find recursive solution, 2. implement memoized version of DP solution from recursive, 3. then at last we can move to tabulation approach
@chainsinghpawar9138
@chainsinghpawar9138 2 жыл бұрын
Can we find max size of subarray having a sum k say 5 by this technique
@souvikghosh1285
@souvikghosh1285 4 жыл бұрын
How can I print the Subest using dynamic programming?
@durjaarai7737
@durjaarai7737 3 жыл бұрын
At 2:51, is it required to search the 2nd option if the 1st returns true? Also, I wanted to thank you so much for the content. Solving this by hand and following along, helped me understand this concept.
@i.vigneshdavid1698
@i.vigneshdavid1698 4 жыл бұрын
can you tell me how to print elements of subset
@sindo1913
@sindo1913 3 жыл бұрын
THANK YOU!!
@techdose4u
@techdose4u 3 жыл бұрын
Welcome
@bmuralikrishna8054
@bmuralikrishna8054 4 жыл бұрын
Thanks for the clear explanation. Please make some videos on bitmasking. There are very few available in youtube about bitmasking. Could you please let me know whether this problem can be solved using bit masking?
@techdose4u
@techdose4u 4 жыл бұрын
I will let you know once i try.
@bmuralikrishna8054
@bmuralikrishna8054 4 жыл бұрын
@@techdose4u thank you for the reply. with the dynamic programming approach, Can we find the total no of subsets that will form the given sum?
@labib28
@labib28 3 жыл бұрын
wow thats great job
@techdose4u
@techdose4u 3 жыл бұрын
Thanks
@raulherbert
@raulherbert 4 жыл бұрын
great video!
@techdose4u
@techdose4u 4 жыл бұрын
Thanks :)
@chakreshsingh
@chakreshsingh 2 жыл бұрын
How will the solution change, is the set is allowed to have negative numbers..
@mohdhasnain3812
@mohdhasnain3812 3 жыл бұрын
Bro i can't tell i was finding this from last 2 days...... you are an angel 🔥 Please tell me can we initialise the 1st row and column within the nested for loop in which we are checking all conditions
@dineshothamkumar
@dineshothamkumar Жыл бұрын
I have done in the same way. I am very lazy. So decided not to go for seperate initialization, but just kept if(i==0) d[i][j]=false else if (j==0) d[i][j]=true. I think the only disadvantage of doing it is that each single time when the decision needs to be taken, we will check for i==0 and j==0 for all elements, which can be avoided if we initialize them separately. I think this is the reason maybe to initialize it separately first.
@gauravbhisikar6381
@gauravbhisikar6381 3 жыл бұрын
thankkkkuuuu so much sir
@techdose4u
@techdose4u 3 жыл бұрын
Welcome :)
@saravanan925
@saravanan925 3 жыл бұрын
Hi Tech Dose, the only request I am putting here is, Can you elaborate how the recursive formula came in every dynamic programming videos? Because after seeing your recursive formula only I am able to understand the logic, If you do consider that also, it would be more helpful. Thanks in advance. And one more, the explanation was awesome!!!
@techdose4u
@techdose4u 3 жыл бұрын
Thanks. I will try to derive the recursive formula from now on.
@saravanan925
@saravanan925 3 жыл бұрын
Thank you brother
@techdose4u
@techdose4u 3 жыл бұрын
👍
@dineshothamkumar
@dineshothamkumar Жыл бұрын
This is a good requirement. I have first listened to the explanation, proceeded to write Recursive code first, and then wrote the DP. But in essence from interview point of view, it is better to be able to work with bottom up tabulation approach on the fly rather than going through recursion. Here the detailed explanation for filling the table, makes it intuitive enough to stand on its own.
@sazidimtiaz831
@sazidimtiaz831 3 жыл бұрын
thanks 🙂
@techdose4u
@techdose4u 3 жыл бұрын
Welcome
@akankshasharma148
@akankshasharma148 3 жыл бұрын
Great explanation sir!! Please also create a video on Sudoku solver🙏
@techdose4u
@techdose4u 3 жыл бұрын
Sure :)
@akankshasharma148
@akankshasharma148 3 жыл бұрын
@@techdose4u Thanku🙏
@onestopplacement4917
@onestopplacement4917 3 жыл бұрын
Can u plz say which app is using for white board sir
@shaikzuhair8537
@shaikzuhair8537 3 жыл бұрын
Good explained
@techdose4u
@techdose4u 3 жыл бұрын
Thanks
@vikaspatel-fi8dl
@vikaspatel-fi8dl Жыл бұрын
how to find which element is added to make SUM??
@philipjames9194
@philipjames9194 2 жыл бұрын
how can you use this on lc 32 combination sum?
@physicsbyneha4210
@physicsbyneha4210 3 жыл бұрын
but what if i want to find all the subsets from a set, which gives a sum equal to a given value? (using DP, as it just tells me if its possible to get a subset or not i.e. true or false)
@dineshothamkumar
@dineshothamkumar Жыл бұрын
You would need to iterate this table to find all the "T" cells and print arr[i-1] of those cells.
@atharvamalhar7101
@atharvamalhar7101 3 жыл бұрын
Just wanted to ask is this series enough for placement preparation of dp questions?
@techdose4u
@techdose4u 3 жыл бұрын
Follow my DP playlist Newbie to Expert. If you do that then you have covered the required placement topics. Now just need to keep on practice while doing other problems.
@rajkumarnagarajan2225
@rajkumarnagarajan2225 3 жыл бұрын
03:05 In the second condition, we are taking the value of 3 and computing 5-3 = 2, but why its sum - set[n-1] when set[n] is the current element.
@sasikumarvm5172
@sasikumarvm5172 3 жыл бұрын
Here N is length of an array, we need to acess last element of an array, so n-1 will give acess to the last element
@MagicalCreationAviCreation
@MagicalCreationAviCreation 3 жыл бұрын
sir did u make video on how to find all the possible subset of sum ? if u made then please comment that video link,Thank you
@techdose4u
@techdose4u 3 жыл бұрын
No I didn't. I think you are asking about bruteforce technique right?
@debarunkumer2019
@debarunkumer2019 2 жыл бұрын
How to display the subsets that sum to the given value?
@PhoenixRisingFromAshes471
@PhoenixRisingFromAshes471 3 жыл бұрын
sir can i solve it using hashmap?
@vishnugovindan8550
@vishnugovindan8550 3 жыл бұрын
In the DP approach, how would we print the subset as well if we wanted to?
@dineshothamkumar
@dineshothamkumar Жыл бұрын
Simple. Whenever the cell is true, you will just need to print arr[i-1].
@HariKrishnan-ff4hf
@HariKrishnan-ff4hf 4 жыл бұрын
sir,By the way how to print those subsets in backtracking..kindly help sir
@techdose4u
@techdose4u 4 жыл бұрын
In backtracking method, as soon as as you get your SUM = 0 then keep a return flag , make it true and when you return back to parent node then you will get your flag set and so you will understand that current node lies in the path of finding the subset. So whatever choice you made (you chose or you left the current node), you will stick to it. If you had not included the current node to find sum, then final set will exclude that element. This is the process for backtracking method.
@pranavrajeshmadhani6260
@pranavrajeshmadhani6260 3 жыл бұрын
Can you please explain why we are considering 1 row above? that logic I am not clear with
@techdose4u
@techdose4u 3 жыл бұрын
I will show this in one DP problem soon.
@v.sreesairam9488
@v.sreesairam9488 3 жыл бұрын
understood :)
@techdose4u
@techdose4u 3 жыл бұрын
Nice :)
@bestsaurabh
@bestsaurabh 3 жыл бұрын
If number of elements are high and the value are also high, (arr= [23423343, 33427262,62829927] ] ) do we have any other approach apart from exponential complexity?
@techdose4u
@techdose4u 3 жыл бұрын
Recursion is exponential in No of elements and DP is exponential in Target SUM. If one is very large as compared to the other then you can apply the alternate methods.But, if both are large, maybe you can get idea from here: stackoverflow.com/questions/18432759/subset-sum-for-large-sums
@srimakarmakar4498
@srimakarmakar4498 3 жыл бұрын
Bhaiya if the sum is very large , say like 10^8 or 9 then how can we solve it ???? 🤔🤔🤔🤔🤔
@shuchitam3868
@shuchitam3868 3 жыл бұрын
I still cannot understand when do we need to have dp[n+1][target+1]? how have decided the range?
@techdose4u
@techdose4u 3 жыл бұрын
We don't use 0th row and column. So we take 1 extra size
@letsdoeverythinginoneweek9398
@letsdoeverythinginoneweek9398 3 жыл бұрын
you can also say that 0 is present in every subset so thats why thats column is true
@siddhantgupta958
@siddhantgupta958 3 жыл бұрын
🔥🔥🔥🔥🔥🔥🔥🔥🔥
@techdose4u
@techdose4u 3 жыл бұрын
:)
@mindandmachine01
@mindandmachine01 Ай бұрын
Di they fixed error 12?
@RTX_valorant
@RTX_valorant 3 жыл бұрын
same as knapsack problem instead of or u can use 0,1 and maximize
@techdose4u
@techdose4u 3 жыл бұрын
Yea
@michaelchan6144
@michaelchan6144 3 жыл бұрын
Hi there, this is your code describing how to determine if True or False for each cell in matrix subset[i][j] = subset[ i - 1][ j ] | | subset[i - 1][j - set[i - 1]]; The second half after the OR operator represents what happens when we SELECT the I'th Element. My question is why is it j - set[i - 1] and NOT j - set[ i ]. Shouldn't we minus the current sum(j) by the current 'weight' (set[i]) of the i'the element and see if the first i - 1 elements can sum up to it?
@chaunguyen8202
@chaunguyen8202 2 жыл бұрын
Same thoughts! I think he made mistakes.
@dineshothamkumar
@dineshothamkumar Жыл бұрын
The reason for that is because first the table size is num of elements+1 and subsetsum+1. The first element and the sum are going to be zeroth element and zeroth subsetsum. Hence, whenever we consider the formula, we need to go with -1.
@dineshothamkumar
@dineshothamkumar Жыл бұрын
You can run the code and you will be able to see that it works in this manner.
@dineshothamkumar
@dineshothamkumar Жыл бұрын
//My Code public static boolean isSubSetSumTabulation(int arr[],int subSetsum){ int n=arr.length; boolean dp[][]=new boolean[n+1][subSetsum+1]; for(int i=0;i
@rakshith3547
@rakshith3547 3 жыл бұрын
Is this problem same as 523. Continuous Subarray Sum in Leetcode?
@techdose4u
@techdose4u 3 жыл бұрын
Dint check 523. This is the classic problem.
@kattelanithyasri7727
@kattelanithyasri7727 7 ай бұрын
how to print the subsets
@uncodeyourself4473
@uncodeyourself4473 Жыл бұрын
i could understand the dp but recursion i understood
@deeptarkoroy6724
@deeptarkoroy6724 3 жыл бұрын
What if we have negative elements?Will we not subtract the greater number?
@dineshothamkumar
@dineshothamkumar Жыл бұрын
I think if the numbers are negative, we will continue to subtract. The results may not be as expected though.
Count subsets with given sum | Dynamic Programming
17:25
Techdose
Рет қаралды 40 М.
🤔Какой Орган самый длинный ? #shorts
00:42
Clowns abuse children#Short #Officer Rabbit #angel
00:51
兔子警官
Рет қаралды 75 МЛН
6.2 Sum Of Subsets Problem - Backtracking
12:19
Abdul Bari
Рет қаралды 1,3 МЛН
5 Simple Steps for Solving Dynamic Programming Problems
21:27
Reducible
Рет қаралды 1 МЛН
Painter partition problem | Dynamic programming
22:44
Techdose
Рет қаралды 30 М.
Sum Of Subsets Problem in Back Tracking - Method, Example |L-13||DAA|
11:33
Mastering Dynamic Programming - A Real-Life Problem (Part 2)
15:09
Tech With Nikola
Рет қаралды 27 М.
One second to compute the largest Fibonacci number I can
25:55
Sheafification of G
Рет қаралды 146 М.
01 Knapsack using Recursion | Building Intuition
18:38
Techdose
Рет қаралды 51 М.
Subset Sum Problem Dynamic programming
28:54
Vivekanand Khyade - Algorithm Every Day
Рет қаралды 66 М.